### Function

# Fwupd guid_from_string

#### Declaration [src]

    gboolean
    fwupd_guid_from_string (
      const gchar* guidstr,
      guint8* guid,
      FwupdGuidFlags flags,
      GError** error
    )

#### Description [src]

Converts a string GUID into its binary encoding. All string GUIDs are formatted as big endian but on-disk can be encoded in different ways.

Available since: | 1.2.5

#### Parameters

`guidstr` | `const gchar*`
| A GUID, e.g. `00112233-4455-6677-8899-aabbccddeeff`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`guid` | `guint8*`
| A #fwupd_guid_t, or NULL to just check the GUID.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`flags` | `FwupdGuidFlags`
| GUID flags, e.g. `FWUPD_GUID_FLAG_MIXED_ENDIAN`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.